Skip to content

Music Lyrics API

This API provides a high-availability lyrics fetcher. It aggregates data from open-source and metadata providers to ensure you get accurate, synced lyrics and album art.

POST /api/v1/lyrics

The following parameters are accepted in the request body:

FieldTypeRequiredDescription
querystringYesThe song title and artist (e.g., “Mockingbird Eminem”).

Choose your preferred method to interact with the Lyrics API:

Terminal window
curl -X POST https://heavstal.com.ng/api/v1/lyrics \
-H "Content-Type: application/json" \
-H "x-api-key: <YOUR_API_KEY>" \
-d '{"query": "Billie Eilish Bad Guy"}'
{
"status": "success",
"creator": "HEAVSTAL TECH",
"data": {
"title": "bad guy",
"artist": "Billie Eilish",
"image": "https://i.scdn.co/image/...",
"url": "https://lrclib.net/api/get/...",
"lyrics": "White shirt now red, my bloody nose..."
}
}